"use strict";
Object.defineProperty(exports, "linkVercelProject", {
    enumerable: true,
    get: ()=>linkVercelProject
});
const _devkit = require("@nrwl/devkit");
const _fileutils = require("nx/src/utils/fileutils");
const path = require("path");
function linkVercelProject(outputPath, { projectId , orgId  }) {
    const vercelProjectFile = path.resolve(outputPath, '.vercel/project.json');
    if (!(0, _fileutils.fileExists)(vercelProjectFile)) {
        _devkit.logger.debug('Linked Vercel project');
        (0, _fileutils.writeJsonFile)(vercelProjectFile, {
            projectId,
            orgId
        });
        return;
    }
    const currentVercelProject = (0, _fileutils.readJsonFile)(vercelProjectFile);
    if (currentVercelProject.orgId === orgId && currentVercelProject.projectId === projectId) {
        _devkit.logger.debug('Vercel project already linked, skipping creation of ./vercel/project.json');
        return;
    }
    throw new Error(`Found existing Vercel project config linked to a different project at '${vercelProjectFile}', assuming this is an error and aborting. ` + `Please delete the file manually if this is intended.`);
}

//# sourceMappingURL=linkVercelProject.js.map